Crawlzodocs
API referenceTikTok

TikTok playlist info

Playlist header, name, owner and video count.

POST
/v1/scrapers/tiktok-playlist-info-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/tiktok-playlist-info-v4" \  -H "Content-Type: application/json" \  -d '{    "playlist": "7659874208872221471"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "playlist": {      "creator_id": null,      "creator_name": null,      "creator_username": "tiktok",      "name": "Behind The Breakthrough",      "playlist_id": "7659874208872221471",      "playlist_link": "https://www.tiktok.com/@tiktok/playlist/behind-the-breakthrough-7659874208872221471",      "type": 1,      "video_count": 3    }  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "tiktok-playlist-info-v4",    "billable": true,    "duration_ms": 1030  }}